Name: doxygen
Version: 1.5.1
Release: alt1
Serial: 1

Summary: Doxygen is a documentation system for C, C++ and IDL
License: GPL
Group: Development/Other
Url: http://www.stack.nl/~dimitri/%name
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: ftp://ftp.stack.nl/pub/users/dimitri/%name-%version.src.tar
Patch: doxygen-1.5.1-alt-png.patch

# Automatically added by buildreq on Mon Jan 24 2005
BuildRequires: flex fontconfig freetype2 gcc-c++ ghostscript-classic ghostscript-module-X graphviz latex2html libgimp-print libpng-devel libqt3-devel libstdc++-devel python-base python-modules-encodings tetex-dvips tetex-latex urw-fonts xorg-x11-devel zlib-devel

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate an
on-line class browser (in HTML) and/or an off-line reference manual (in LaTeX)
from a set of documented source files. There is also support for generating man
pages and for converting the generated output into Postscript, hyperlinked PDF
or compressed HTML. The documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from undocumented
source files. This can be very useful to quickly find your way in large source
distributions.

%package wizard
Summary: GUI frontend for doxygen
Group: Development/Other
Requires: %name = %version-%release

%description wizard
Doxywizard is a GUI front-end for creating and editing
configuration files that are used by doxygen.

%prep
%setup -q
%patch -p1

find -name unistd.h -delete -print
sed -i 's/fileutils/coreutils/g' configure
perl -pi -e '
	s|^(TMAKE_CFLAGS\s*=\s*).*|$1\$(RPM_OPT_FLAGS)|;
	s|^(TMAKE_CFLAGS_WARN_ON\s*=).*|$1|;
	s|^(TMAKE_CFLAGS_WARN_OFF\s*=).*|$1|;
	s|^(TMAKE_CFLAGS_RELEASE\s*=).*|$1|;
	s|^(TMAKE_CFLAGS_DEBUG\s*=).*|$1|;
	s|^(TMAKE_CFLAGS_SHLIB\s*=\s*).*|$1%optflags_shared|;
	s|/usr/X11R6/lib|/usr/X11R6/%_lib|;
	' tmake/lib/linux-g++/tmake.conf

rm -rf libpng

%build
# Exceptions and RTTI are used only in addon/xmlread, which is not built.
%add_optflags %optflags_nocpp

export QTDIR=%_libdir/qt3
export PATH="$QTDIR/bin:$PATH"
./configure --prefix %prefix --release --with-doxywizard
make
make pdf

mkdir -p docs/pdf
mv latex/*.pdf docs/pdf
cp -a html examples docs
find docs -type f -name Makefile.\* -print0 |
	xargs -r0 rm -f --
find docs -type f -name Makefile -print0 |
	xargs -r0 %__perl -pi -e '
	s|/bin/doxygen||g;
	s|^(DOXYGEN\s*=\s*).*|$1%_bindir/doxygen|;
	s|^(TMAKE\s*=\s*).*|$1%_bindir/tmake|;
	s/^(TMAKEPATH|INST|DOXYDOCS).*//g;
	' --

%install
mkdir -p %buildroot%_bindir
install -pm755 bin/* %buildroot%_bindir/

%files
%_bindir/doxygen
%_bindir/doxytag
%doc README LANGUAGE.HOWTO docs/* html

%files wizard
%_bindir/doxywizard

%changelog
* Sun Nov 26 2006 Dmitry V. Levin <ldv@altlinux.org> 1:1.5.1-alt1
- Updated to 1.5.1.

* Tue Jun 13 2006 Dmitry V. Levin <ldv@altlinux.org> 1:1.4.7-alt1
- Updated to 1.4.7.

* Fri Feb 10 2006 Dmitry V. Levin <ldv@altlinux.org> 1:1.4.6-alt1
- Updated to 1.4.6.

* Mon Oct 24 2005 Dmitry V. Levin <ldv@altlinux.org> 1:1.4.5-alt1
- Updated to 1.4.5.
- Fixed build with new flex.

* Thu May 26 2005 Dmitry V. Levin <ldv@altlinux.org> 1:1.4.3-alt1
- Updated to 1.4.3.
- Added multilib support (mouse, closes #6732).

* Mon Jan 24 2005 Stanislav Ievlev <inger@altlinux.org> 1:1.4.1-alt1.1
- 1.4.1

* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:1.3.9.1-alt1.1
- Rebuilt with libstdc++.so.6.

* Tue Oct 19 2004 Stanislav Ievlev <inger@altlinux.org> 1:1.3.9.1-alt1
- 1.3.9.1

* Mon Apr 05 2004 Stanislav Ievlev <inger@altlinux.org> 1:1.3.6-alt1
- 1.3.6

* Tue Jan 27 2004 Stanislav Ievlev <inger@altlinux.org> 1:1.3.5-alt1
- 1.3.5

* Thu Sep 11 2003 Stanislav Ievlev <inger@altlinux.ru> 1:1.3.3-alt1
- 1.3.3

* Thu Sep 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.18-alt1
- 1.2.18
- The image map generation patch merged upstream.
- Added changelog.html to docs.

* Fri Aug 09 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.17-alt2
- Fixed image map generation (#0001188).

* Wed Jul 17 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.17-alt1
- 1.2.17

* Thu May 23 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.16-alt1
- 1.2.16

* Fri Apr 05 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.15-alt1
- 1.2.15.

* Thu Mar 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.14-alt2
- Fixed %%clean.

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.14-alt1
- 1.2.14.

* Thu Jan 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.13.1-alt1
- 1.2.13.1

* Mon Nov 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.12-alt1
- 1.2.12

* Wed Oct 10 2001 Rider <rider@altlinux.ru> 1.2.11.1-alt1
- 1.2.11.1

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.8.1-alt1
- 1.2.8.1

* Thu Jun  7 2001 Sergey Vlasov <vsu@altlinux.ru> 1.2.8-alt2
- Fixed compilation options in qtools
- Compile with --no-exceptions --no-rtti
- Fixed QTDIR setting; removed broken conf patch from Mandrake
- Build doxywizard (separate package doxygen-wizard)

* Tue Jun 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.8-alt1
- 1.2.8

* Wed Jan 03 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.4-ipl1mdk
- 1.2.4

* Sat Nov 11 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.3-ipl1mdk
- 1.2.3

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.2-ipl1mdk
- 1.2.2
- Automatically added BuildRequires.

* Mon Aug 14 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.1-ipl1mdk
- RE adaptions.

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-4mdk
- BM
- macros

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.0-3mdk
- ExcludeArch: alpha (yep lazzyness).

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- first Mandrake release
- patch to fix wrong lookup of Qt include/lib
